<?php if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Class NF_Fields_Hidden
 */
class DLM_NF_Field extends NF_Abstracts_Input
{
    protected $_name = 'dlmnf';

    protected $_nicename = 'Download Monitor';

    protected $_section = 'misc';

    protected $_icon = 'eye-slash';

    protected $_type = 'hidden';

    protected $_templates = 'dlmnf';

    protected $_wrap_template = 'wrap-no-label';

    protected $_settings_only = array(
        'key', 'label', 'default', 'admin_label'
    );

    public function __construct()
    {
        parent::__construct();

        $this->_settings[ 'label' ][ 'width' ] = 'full';
        $this->_settings[ 'default' ][ 'group' ] = 'primary';

        $this->_nicename = __( 'Download Monitor', 'dlm-ninja-forms' );
    }
}
