<?php

class DLM_TL_Assets {

	private static $shortcode_assets_enqueued = false;

	/**
	 * Frontend shortcode JS
	 */
	public static function enqueue_shortcode_js() {

		// only include once per page
		if ( true === self::$shortcode_assets_enqueued ) {
			return;
		}
		self::$shortcode_assets_enqueued = true;

		// enqueue listings script
		wp_enqueue_script(
			'dlm_tl_js',
			plugins_url( '/assets/js/dlm-twitter-lock' . ( ( ! SCRIPT_DEBUG ) ? '.min' : '' ) . '.js', DLM_Twitter_Lock::get_plugin_file() ),
			array(),
			DLM_Twitter_Lock::VERSION,
			true
		);

	}

}