<?php
namespace Never5\Aws\MarketplaceCommerceAnalytics;

use Never5\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Marketplace Commerce Analytics** service.
 *
 * @method \Never5\Aws\Result generateDataSet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise generateDataSetAsync(array $args = [])
 * @method \Never5\Aws\Result startSupportDataExport(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startSupportDataExportAsync(array $args = [])
 */
class MarketplaceCommerceAnalyticsClient extends AwsClient {}
