jQuery( function ( $ ) {

    // Email address rows
    $.each( $( '.dlm_el_email_addresses a.delete' ), function ( k, v ) {
        $( v ).click( function () {

            var delete_confirm = confirm( dlm_el_ep_strings.confirm_delete );

            if ( delete_confirm ) {
                $.post( ajaxurl, {
                    action: 'dlm_el_delete_email',
                    nonce: $( '#dlm-el-ad-nonce' ).val(),
                    post_id: $( '#dlm-el-ad-post-id' ).val(),
                    email: $( this ).closest( 'tr' ).attr( 'data-email' ),
                }, function ( response ) {
                    if ( response.success ) {
                        $( v ).closest( 'tr' ).fadeTo( 'fast', 0 ).slideUp( function () {
                            jQuery( this ).remove();
                        } );
                    } else {
                        alert( dlm_el_ep_strings.delete_error );
                    }
                } );

            }

        } );
    } );

    // Export button
    $( '.dlm-el-export-btn' ).click( function () {
        $( this ).attr( 'disabled', 'disabled' );
        var download_window = window.open( $( this ).attr('data-export-url'), '_blank' );
    } );

} );