<?php

namespace DLM\MailChimp;

defined( 'ABSPATH' ) or exit;

// load class
require __DIR__ . '/src/class-download-locker.php';

// load global functions
require __DIR__ . '/src/functions.php';

// load hooks
require __DIR__ . '/src/default-hooks.php';

// load section specific code
if( is_admin() ) {
    if( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) {
        require __DIR__ . '/src/class-admin.php';
        $admin = new Admin();
        $admin->add_hooks();
    }
} else {
    $locker = new DownloadLocker();
    $locker->add_hooks();
}
