<?php

class DLM_TC_Admin_Notices {

	/**
	 * Dem admin notices
	 */
	public static function notices() {

		// check if Download Monitor is installed
		if ( ! class_exists( 'WP_DLM' ) || ! defined( 'DLM_VERSION' ) || version_compare( DLM_VERSION, '4.0.0', '<' ) ) {
			?>
			<div class="error">
				<p><?php _e( 'Download Monitor 4.0.0 or higher needs to be activated for the Download Monitor - Terms & Conditions extension!', 'dlm-terms-and-conditions' ); ?></p>
			</div>
			<?php
		}

	}

}